Get the working files of an entity

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/entities/{entity_id}/working-files

Get the working files of the tasks of an entity, with all their revisions.

Path parameters

  • entity_id string(uuid) Required

    Entity unique identifier

Query parameters

  • task_id string(uuid)

    Get only the working files of this task

  • name string

    Get only the working files with this name

  • relations boolean

    Add the related objects to each working file

    Default value is false.

Responses

  • 200 application/json

    The list of working files

    Hide response attributes Show response attributes object
    • id string(uuid)

      Working file unique identifier

    • name string

      Working file name

    • revision integer

      Working file revision

    • path string

      Working file path

    • updated_at string(date-time)

      Last update timestamp

    • task_id string(uuid)

      Task identifier

    • entity_id string(uuid)

      Entity identifier

  • 403

    You do not have access to this project

  • 404

    The entity does not exist

GET /data/entities/{entity_id}/working-files
curl -X GET "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/working-files?task_id=b35b7fb5-df86-5776-b181-68564193d36&name=main" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/working-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "task_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "name": "main"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "c46c80c6-e097-6887-c292-79675204e470",
    "name": "main",
    "revision": 1,
    "path": "/project/asset/working/main_v001.blend",
    "updated_at": "2023-01-01T12:00:00Z",
    "task_id": "d57d91d7-f108-7998-d403-80786315f580",
    "entity_id": "e68e02e8-0219-8009-e514-918974260690"
  }
]